<script setup lang="ts">
import {defineComponent, PropType} from "vue";
import { QueueVO } from '@/api/ecg/queue'
import {DICT_TYPE} from "@/utils/dict";
import {PatientVO, DoctorApi} from "@/api/ecg/doctor";

defineComponent({
  name: 'QueuePanel'
})

const message = useMessage() // 消息弹窗

const  props = defineProps({
  queue: {
    type: Array as PropType<QueueVO[]>,
    required: true
  }
  /*,
  modelValue: {
    type: Object as PropType<RoomVO>,
    required: true
  }
*/
})

const recall = async (item) => {
  const patientVO: PatientVO = {
    roomId: item.roomId,
    bedNo: item.bedNo,
    patId: item.patId,
    jumpFlag: 0
  }

  const data = await DoctorApi.recallPatient(patientVO);
  message.info(data)
}

</script>

<template>
<div v-for="(item, index) in queue" :key="index">
  {{item.patName}}{{item.passed === 0 ? "":"*"}}
  <dict-tag :type="DICT_TYPE.SYSTEM_USER_SEX" :value="item.patGender" />
  {{item.roomName}}
  {{item.bedNo}}
  <dict-tag :type="DICT_TYPE.ECG_CHECK_TYPE" :value="item.bookCheckType" />
  <dict-tag :type="DICT_TYPE.ECG_QUEUE_STATUS" :value="item.status" />
  <el-button v-if="item.status === 50" @click="recall(item)"> 召回 </el-button>
</div>
</template>

<style scoped lang="scss">

</style>
